Index: trunk/phpgwapi/inc/class.phpgw.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.phpgw.inc.php	(revision 2419)
+++ trunk/phpgwapi/inc/class.phpgw.inc.php	(revision 2439)
@@ -151,4 +151,6 @@
 				if ( strpos( $url, '?' ) === false )
 					$url .= '?';
+				else
+					$url .= '&';
 				$url .= 'BackgroundRequest=requested';
 			}
Index: trunk/phpgwapi/inc/class.jscalendar.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 771)
+++ trunk/phpgwapi/inc/class.jscalendar.inc.php	(revision 2439)
@@ -83,6 +83,6 @@
 			return
 '<input type="text" id="'.$name.'" name="'.$name.'" size="10" value="'.$date.'"'.$options.'/>
+<img id="'.$name.'-trigger" src="'.$GLOBALS['phpgw']->common->find_image('phpgwpai','datepopup').'" title="'.lang('Select date').'" style="cursor:pointer; cursor:hand;"/>
 <script type="text/javascript">
-	document.writeln(\'<img id="'.$name.'-trigger" src="'.$GLOBALS['phpgw']->common->find_image('phpgwpai','datepopup').'" title="'.lang('Select date').'" style="cursor:pointer; cursor:hand;"/>\');
 	Calendar.setup(
 	{
Index: trunk/phpgwapi/inc/class.common.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.common.inc.php	(revision 2420)
+++ trunk/phpgwapi/inc/class.common.inc.php	(revision 2439)
@@ -1232,4 +1232,6 @@
 			echo "<script type='text/javascript'>var URL_SERVER = '".$GLOBALS['phpgw_info']['server']['webserver_url']."';</script>";
 			echo $GLOBALS['phpgw']->js->get_script_links();
+
+			$GLOBALS['phpgw']->js->unset_script_link( 'phpgwapi','tools' );
 
 			$GLOBALS['phpgw']->js->unset_script_link('phpgwapi','expressoAjax');
Index: trunk/phpgwapi/js/tools/xlink.js
===================================================================
--- trunk/phpgwapi/js/tools/xlink.js	(revision 2420)
+++ trunk/phpgwapi/js/tools/xlink.js	(revision 2439)
@@ -11,4 +11,5 @@
 		*/
 		var a = ( action.indexOf( 'admin/' ) > 0 || action.indexOf( '=admin.' ) > 0 );
+		a = ( a || action.indexOf( 'calendar/' ) > 0 || action.indexOf( '=calendar.' ) > 0 );
 		a = ! ( a && ! ( action.indexOf( '#' ) === 0 || action.indexOf( window.location + '#' ) === 0 || action.indexOf( 'javascript:' ) === 0 ) );
 
Index: trunk/phpgwapi/js/wz_dragdrop/wz_dragdrop.js
===================================================================
--- trunk/phpgwapi/js/wz_dragdrop/wz_dragdrop.js	(revision 2)
+++ trunk/phpgwapi/js/wz_dragdrop/wz_dragdrop.js	(revision 2439)
@@ -1315,9 +1315,9 @@
 		}
 	}
-	if (dd.n4 || dd.n6 || dd.ie || dd.op || dd.w3c) document.write(
-		(dd.n4? '<div style="position:absolute;"><\/div>\n'
-		: (dd.op && !dd.op6)? '<div id="OpBlUr" style="position:absolute;visibility:hidden;width:0px;height:0px;"><form><input type="text" style="width:0px;height:0px;"><\/form><\/div>'
-		: '') + d_htm
-	);
+	//if (dd.n4 || dd.n6 || dd.ie || dd.op || dd.w3c) document.write(
+	//	(dd.n4? '<div style="position:absolute;"><\/div>\n'
+	//	: (dd.op && !dd.op6)? '<div id="OpBlUr" style="position:absolute;visibility:hidden;width:0px;height:0px;"><form><input type="text" style="width:0px;height:0px;"><\/form><\/div>'
+	//	: '') + d_htm
+	//);
 	dd.z = 0x33;
 	d_i = dd.elements.length; while (d_i--)
Index: trunk/emailadmin/inc/class.ui.inc.php
===================================================================
--- trunk/emailadmin/inc/class.ui.inc.php	(revision 2419)
+++ trunk/emailadmin/inc/class.ui.inc.php	(revision 2439)
@@ -132,5 +132,5 @@
 				case 'emailadmin.ui.editProfile':
 					$GLOBALS['phpgw']->js->validate_file('jscode','editProfile','emailadmin');
-					$GLOBALS['phpgw']->js->set_onload('javascript:initAll();');
+					//$GLOBALS['phpgw']->js->set_onload('javascript:initAll();');
 					echo $GLOBALS['phpgw']->js->get_script_links();
 					$GLOBALS['phpgw']->js->unset_script_link('emailadmin','jscode');
@@ -223,5 +223,5 @@
 						
 			$this->t->parse("out","main");
-			print $this->t->get('out','main');
+			echo "<style>{$this -> css( )}</style>{$this->t->get('out','main')}<script>initAll( );</script>";
 		}
 		
Index: trunk/calendar/inc/class.uiholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.uiholiday.inc.php	(revision 2419)
+++ trunk/calendar/inc/class.uiholiday.inc.php	(revision 2439)
@@ -76,5 +76,6 @@
 				'rule'         => '',
 				'header_rule'  => '',
-				'back_button'	=> ''
+				'back_button'	=> '',
+				'info' => ''
 			);
 
@@ -171,5 +172,6 @@
 				'header_rule'		=> '<td>'.$GLOBALS['phpgw']->nextmatchs->show_sort_order($this->bo->sort,'month_num,mday',$this->bo->order,'/index.php',lang('Rule'),'&menuaction=calendar.uiholiday.edit_locale&locale='.$this->bo->locales[0].'&year='.$this->bo->year).'</td>',
 				'header_extra'		=> lang('Copy'),
-				'extra_width'		=> 'width="5%"'
+				'extra_width'		=> 'width="5%"',
+				'info'				=> ''
 			);
 
@@ -185,5 +187,5 @@
 				$maxmatchs = $GLOBALS['phpgw_info']['user']['preferences']['common']['maxmatchs'];
 				$end = min($total,$this->bo->start+$maxmatchs);
-				$p->set_var('rows',lang('showing %1 - %2 of %3',1+$this->bo->start,$end,$total));
+				$p->set_var('info',lang('showing %1 - %2 of %3',1+$this->bo->start,$end,$total));
 				for($i=$this->bo->start; $i < $end; $i++)
 				{
@@ -254,5 +256,5 @@
 
 			$t = &$GLOBALS['phpgw']->template;
-			$t->set_file(Array('holiday'=>'holiday.tpl','form_button'=>'form_button_script.tpl'));
+			$t->set_file(Array('holiday'=>'holiday.tpl','form_button'=>'form_button_change_form_action.tpl'));
 			$t->set_block('holiday','form','form');
 			$t->set_block('holiday','list','list');
@@ -344,6 +346,4 @@
 				'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,$link_params),
 				'action_text_button'	=> lang('Cancel'),
-				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
 			));
 			$t->parse('cancel_button','form_button');
@@ -359,7 +359,5 @@
 				$t->set_var(Array(
 					'action_url_button'	=> $GLOBALS['phpgw']->link($this->base_url,$link_params),
-					'action_text_button'	=> lang('Delete'),
-					'action_confirm_button'	=> '',
-					'action_extra_field'	=> ''
+					'action_text_button'	=> lang('Delete')
 				));
 				$t->parse('delete_button','form_button');
Index: trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uicalendar.inc.php	(revision 2419)
+++ trunk/calendar/inc/class.uicalendar.inc.php	(revision 2439)
@@ -3054,5 +3054,5 @@
 				}
 			}
-			if($GLOBALS['phpgw_info']['flags']['currentapp'] == 'home' ||
+			if( !$GLOBALS['phpgw_info']['flags']['currentapp'] || $GLOBALS['phpgw_info']['flags']['currentapp'] == 'home' || 
 				strstr($GLOBALS['phpgw_info']['flags']['currentapp'],'mail'))	// email, felamimail, ...
 			{
@@ -4916,4 +4916,5 @@
 			if ($param['plain'] != "True"){
 			//	$GLOBALS['phpgw']->common->phpgw_header();
+				echo $GLOBALS['phpgw']->common->get_java_script( );
 			}
 			else{
Index: trunk/calendar/js/search.js
===================================================================
--- trunk/calendar/js/search.js	(revision 1643)
+++ trunk/calendar/js/search.js	(revision 2439)
Index: trunk/calendar/templates/default/locales.tpl
===================================================================
--- trunk/calendar/templates/default/locales.tpl	(revision 2)
+++ trunk/calendar/templates/default/locales.tpl	(revision 2439)
@@ -8,4 +8,6 @@
   </tr>
  </table>
+
+ <p>{info}</p>
 
  <table border="0" width="70%" align="center">
Index: trunk/calendar/templates/default/holiday.tpl
===================================================================
--- trunk/calendar/templates/default/holiday.tpl	(revision 2)
+++ trunk/calendar/templates/default/holiday.tpl	(revision 2439)
@@ -2,6 +2,6 @@
 <center>
 {message}<br>
+ <form name="form" action="{actionurl}" method="POST">
 <table border="0" width="80%" cellspacing="2" cellpadding="2"> 
- <form name="form" action="{actionurl}" method="POST">
   {hidden_vars}
 {rows}
@@ -11,5 +11,7 @@
     <tr>
      <td>
-      <input type="submit" name="submit" value="{lang_add}"></form>
+	  <div style="padding-top:15px; padding-right: 2px">
+       <input type="submit" name="submit" value="{lang_add}">
+	  </div>
      </td>
      <td>
@@ -24,4 +26,5 @@
  </tr>
 </table>
+</form>
 </center>
 <!-- END form -->
Index: trunk/calendar/templates/default/form_button_dropdown.tpl
===================================================================
--- trunk/calendar/templates/default/form_button_dropdown.tpl	(revision 663)
+++ trunk/calendar/templates/default/form_button_dropdown.tpl	(revision 2439)
@@ -1,4 +1,4 @@
+<td width="{form_width}%" align="center" valign="top" style="padding-top:16px">
 <form action="{form_link}" method="post" name="{form_name}form">
-<td width="{form_width}%" align="center" valign="top" style="padding-top:16px">
 	<span style="font-size:10px"><b>{title}:</b>
     {hidden_vars}    
@@ -10,4 +10,4 @@
     </noscript>
 	</span>
+</form>
 </td>
-</form>