Index: sandbox/workflow/trunk/inc/class.run_activity.inc.php
===================================================================
--- sandbox/workflow/trunk/inc/class.run_activity.inc.php	(revision 2372)
+++ sandbox/workflow/trunk/inc/class.run_activity.inc.php	(revision 2466)
@@ -168,5 +168,4 @@
 		var $agents = Array();
 
-		/* CELEPAR */
 		/**
 		 * @var object $smarty holds a Smarty instance
@@ -194,7 +193,10 @@
          */
 		var $isChildInstance = false;
-
+		/**
+		 * @var object Stores a 'workflow_smarty' object
+         * @access private
+         */
 		private $workflowSmarty = null;
-		/* CELEPAR */
+
 		/**
 		 * Constructor
@@ -212,12 +214,10 @@
 			$this->runtime			= &Factory::newInstance('workflow_wfruntime');
 			$this->runtime->setDebug(_DEBUG);
-			//$this->base_activity	= Factory::getInstance('workflow_baseactivity');
-			//$this->process		= Factory::getInstance('workflow_process');
 			$this->GUI				= &Factory::getInstance('workflow_gui');
 			$this->categories 		= &Factory::getInstance('categories');
 
 			$this->workflowSmarty 	= &Factory::getInstance('workflow_smarty', false);
+
 			// TODO: open a new connection to the database under a different username to allow privilege handling on tables
-			/* CELEPAR */
 			unset($this->db);
 		}
@@ -335,5 +335,4 @@
 			$wf =& $GLOBALS['workflow'];
 
-			/* CELEPAR */
 			/* path to the local functions developed by Celepar */
 			$functions = PHPGW_SERVER_ROOT . SEP . 'workflow' . SEP . 'inc' . SEP . 'local' . SEP . 'functions' . SEP . 'local.functions.php';
@@ -341,5 +340,4 @@
 			/* activate local functions */
 			require_once($functions);
-			/* CELEPAR */
 
 			//get configuration options with default values if no init was done before
@@ -401,6 +399,4 @@
 				$this->download_mode = get_var('download_mode', array('POST','GET'), false);
 
-				/* #celepar# smarty code*/
-
 				$smarty = Factory::getInstance('process_smarty');
 
@@ -423,5 +419,5 @@
 				$smarty->assign('wf_back_link',$GLOBALS['workflow']['wf_back_link']);
 				$smarty->assign('wf_activity_url',$GLOBALS['workflow']['wf_activity_url']);
-				
+
 				/* register the prefilter smarty plugin wf_default_template */
 				$smarty->load_filter('pre', 'wf_default_template');
@@ -444,5 +440,4 @@
 			$security             =& Factory::newInstance('SecurityUtils');              //input sanitizer class
 			$env['request']       =& $security->process($_REQUEST);    //sanitizes input data from client
-			//$env['factory']       =& new ProcessFactory();             //instantiation controller class
 			$env['factory']       =& Factory::getInstance('ProcessWrapperFactory');  //instantiation controller class
 			$env['natural']		  =& wf_create_object('wf_natural');   //data access object instance for mainframe
@@ -450,9 +445,11 @@
 
 			$GLOBALS['workflow_env'] = &$env;
-			//echo "<br><br><br><br><br>Including $source <br>In request: <pre>";print_r($_REQUEST);echo "</pre>";
-			//[__leave_activity] is setted if needed in the xxx_pre code or by the user in his code
-			// HERE the user code is 'executed'. Note that we do not use include_once or require_once because
-			//it could the same code several times with automatic activities looping in the graph and it still
-			//need to be executed
+
+			/**
+			 * [__leave_activity] is setted if needed in the xxx_pre code or by the user in his code
+			 * HERE the user code is 'executed'. Note that we do not use include_once or require_once because
+			 * it could the same code several times with automatic activities looping in the graph and it still
+			 * need to be executed
+			 */
 			$_engineProcessCodeDirectory = GALAXIA_PROCESSES . SEP . $this->process->getNormalizedName(). SEP . 'code';
 			$_engineCompilerDirectory = GALAXIA_LIBRARY . SEP . 'compiler';
@@ -480,10 +477,8 @@
 
 			/**
-			 * XXX
-			 * here we are going to use our new Security static class.
+			 * Here we are going to use our new Security static class.
 			 * From now, the factory frontend (static) will forward
 			 * the messages for the process factory instead of Workflow
 			 * factory.
-			 * XXX
 			*/
 			Security::enable();
@@ -688,8 +683,6 @@
 				unset($GLOBALS['workflow']['wf_instance_url']);
 
-			/* CELEPAR */
 			/* activate local functions */
 			require_once(PHPGW_SERVER_ROOT . SEP . 'workflow' . SEP . 'inc' . SEP . 'local' . SEP . 'functions' . SEP . 'local.functions.php');
-			/* CELEPAR */
 
 			//get configuration options with default values if no init was done before
@@ -716,5 +709,4 @@
 			$security             =& Factory::newInstance('SecurityUtils'); //input sanitizer class
 			$env['request']       =& $security->process($_REQUEST); //sanitizes input data from client
-			//$env['factory']       =& new ProcessFactory();			   //instantiation controller class
 			$env['factory']       =& Factory::newInstance('ProcessWrapperFactory');  //instantiation controller class
 			$env['natural']		  =& wf_create_object('wf_natural');   //data access object instance for mainframe
@@ -731,5 +723,4 @@
 
 			/**
-			 * XXX
 			 * here we are going to use our new Security static class.
 			 * From now, the factory frontend (static) will forward
@@ -737,6 +728,5 @@
 			 * factory. Note that this is the same comment as the previous
 			 * function... boooring.. =}
-			 * XXX
-			*/
+			 */
 			Security::enable();
 