Index: /trunk/contactcenter/js/cc_tree.js
===================================================================
--- /trunk/contactcenter/js/cc_tree.js	(revision 1598)
+++ /trunk/contactcenter/js/cc_tree.js	(revision 2474)
@@ -188,5 +188,5 @@
 
 	ccCatalogTree.prototype._expandSubTree = function(node) {
-		if ( node._children == '' ) {
+		if ( node == undefined || node._children == '' ) {
 			return;
 		}
Index: /trunk/contactcenter/js/ccMain.js
===================================================================
--- /trunk/contactcenter/js/ccMain.js	(revision 2473)
+++ /trunk/contactcenter/js/ccMain.js	(revision 2474)
@@ -200,5 +200,5 @@
 	if(Element("divScrollMain"))
 		Element("divScrollMain").style.height 	= defaultHeight - 108;	
-	if (!is_ie)
+	if ( ! is_ie && Element('tableDivAppbox') )
 		Element('tableDivAppbox').width = '100%';
 }
Index: /trunk/contactcenter/js/connector.js
===================================================================
--- /trunk/contactcenter/js/connector.js	(revision 2473)
+++ /trunk/contactcenter/js/connector.js	(revision 2474)
@@ -111,4 +111,5 @@
 			catch (e)
 			{
+				delete _this.requests[id];
 				//showMessage(e);
 			}
@@ -117,6 +118,9 @@
 		try
 		{ 
-			target += '&BackgroundRequest=' + Date.parse( new Date );
-			if (method == '' || method == 'GET')
+			if ( method != 'POST')
+				method = 'GET';
+			oxmlhttp.open( method, target, true);
+			oxmlhttp.setRequestHeader( 'BackgroundRequest', Date.parse( new Date ) );
+			if ( method == 'GET')
 			{
 				if (typeof(handler) == 'function')
@@ -124,5 +128,4 @@
 					oxmlhttp.onreadystatechange = sub_handler;
 				}
-				oxmlhttp.open("GET",target,true);
 				oxmlhttp.send(null);
 			}
@@ -133,5 +136,4 @@
 					oxmlhttp.onreadystatechange = sub_handler;
 				}
-				oxmlhttp.open("POST",target, true);
 				oxmlhttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
 				oxmlhttp.send(data);
Index: /trunk/contactcenter/templates/default/index.tpl
===================================================================
--- /trunk/contactcenter/templates/default/index.tpl	(revision 2473)
+++ /trunk/contactcenter/templates/default/index.tpl	(revision 2474)
@@ -204,5 +204,5 @@
 									<table bgcolor="#D3DCE3" cellspacing="0" cellpadding="0" border="0">
 										<tr>
-											<td align="left" valign="middle"><span id="cc_panel_arrow_first"><img src="templates/default/images/first-grey.png" border="0" alt="{cc_panel_first_page}" hspace="2" onclick="javascript:false"/></span></td>
+											<td align="left" valign="middle"><span id="cc_panel_arrow_first"><img src="{url}/templates/default/images/first-grey.png" border="0" alt="{cc_panel_first_page}" hspace="2" onclick="javascript:false"/></span></td>
 										</tr>
 									</table>
@@ -211,5 +211,5 @@
 									<table bgcolor="#D3DCE3" cellspacing="0" cellpadding="0" border="0">
 										<tr>
-											<td align="left" valign="middle"><span id="cc_panel_arrow_previous"><img src="templates/default/images/left-grey.png" border="0" alt="{cc_panel_previous_page}" hspace="2" onclick="" /></span></td>
+											<td align="left" valign="middle"><span id="cc_panel_arrow_previous"><img src="{url}/templates/default/images/left-grey.png" border="0" alt="{cc_panel_previous_page}" hspace="2" onclick="" /></span></td>
 										</tr>
 									</table>
@@ -225,5 +225,5 @@
 									<table bgcolor="#D3DCE3" cellspacing="0" cellpadding="0" border="0">
 										<tr>
-											<td align="left" valign="middle"><span id="cc_panel_arrow_next"><img src="templates/default/images/right-grey.png" border="0" alt="{cc_panel_next_page}" hspace="2" /></span></td>
+											<td align="left" valign="middle"><span id="cc_panel_arrow_next"><img src="{url}/templates/default/images/right-grey.png" border="0" alt="{cc_panel_next_page}" hspace="2" /></span></td>
 										</tr>
 									</table>
@@ -232,5 +232,5 @@
 									<table bgcolor="#D3DCE3" cellspacing="0" cellpadding="0" border="0">
 										<tr>
-											<td align="left" valign="middle"><span id="cc_panel_arrow_last"><img src="templates/default/images/last-grey.png" border="0" alt="{cc_panel_last_page}" hspace="2" /></span></td>
+											<td align="left" valign="middle"><span id="cc_panel_arrow_last"><img src="{url}/templates/default/images/last-grey.png" border="0" alt="{cc_panel_last_page}" hspace="2" /></span></td>
 										</tr>
 									</table>			