Index: trunk/filemanager/inc/class.uiconfig.inc.php
===================================================================
--- trunk/filemanager/inc/class.uiconfig.inc.php	(revision 2026)
+++ trunk/filemanager/inc/class.uiconfig.inc.php	(revision 2483)
@@ -32,6 +32,6 @@
 				 (
 					 'currentapp'    => 'filemanager',
-					 'noheader'      => False,
-					 'nonavbar' => False,
+					 //'noheader'      => False,
+					 //'nonavbar' => False,
 					 'nofooter'      => False,
 					 'noappheader'   => False,
@@ -39,9 +39,9 @@
 				 );
 
-			 $GLOBALS['phpgw']->common->phpgw_header();
+			//$GLOBALS['phpgw']->common->phpgw_header();
 			include('load_lang.php');
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/config.js'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/connector.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/common_functions.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/config.js' )}'></script>";
 			$t = $GLOBALS['phpgw']->template;
 			$t->set_file(array('config_list' => 'config_folders.tpl'));
@@ -64,6 +64,6 @@
 				 (
 					 'currentapp'    => 'filemanager',
-					 'noheader'      => False,
-					 'nonavbar' => False,
+					 //'noheader'      => False,
+					 //'nonavbar' => False,
 					 'nofooter'      => False,
 					 'noappheader'   => False,
@@ -71,9 +71,9 @@
 				 );
 
-			 $GLOBALS['phpgw']->common->phpgw_header();
+			// $GLOBALS['phpgw']->common->phpgw_header();
 			include('load_lang.php');
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/config.js'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/connector.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/common_functions.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/config.js' )}'></script>";
 			$t = $GLOBALS['phpgw']->template;
 			$t->set_file(array('config_list' => 'config_owner.tpl'));
@@ -227,6 +227,6 @@
 				 (
 					 'currentapp'    => 'filemanager',
-					 'noheader'      => False,
-					 'nonavbar' => False,
+					 //'noheader'      => False,
+					 //'nonavbar' => False,
 					 'nofooter'      => False,
 					 'noappheader'   => False,
@@ -234,9 +234,9 @@
 				 );
 
-			$GLOBALS['phpgw']->common->phpgw_header();
+			//$GLOBALS['phpgw']->common->phpgw_header();
 			include('load_lang.php');
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/config.js'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/connector.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/common_functions.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/config.js' )}'></script>";
 			$t = $GLOBALS['phpgw']->template;
 			$t->set_file(array('config_list' => 'config_quota.tpl'));
Index: trunk/filemanager/inc/class.uifilemanager.inc.php
===================================================================
--- trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 2016)
+++ trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 2483)
@@ -104,15 +104,15 @@
 
 			// here local vars are created from the HTTP vars
-			@reset($GLOBALS['HTTP_POST_VARS']);
-			while(list($name,) = @each($GLOBALS['HTTP_POST_VARS']))
-			{
-				$this->$name = $GLOBALS['HTTP_POST_VARS'][$name];
-			}
-
-			@reset($GLOBALS['HTTP_GET_VARS']);
-			while(list($name,) = @each($GLOBALS['HTTP_GET_VARS']))
-			{
-				$$name = $GLOBALS['HTTP_GET_VARS'][$name];
-				$this->$name = $GLOBALS['HTTP_GET_VARS'][$name];
+			reset( $_POST );
+			while(list($name,) = each( $_POST ) )
+			{
+				$this->$name = $_POST[ $name ];
+			}
+
+			reset( $_GET );
+			while(list($name,) = each( $_GET ) )
+			{
+				$$name = $_GET[ $name ];
+				$this -> $name = $_GET[ $name ];
 
 			}
@@ -238,6 +238,6 @@
 				(
 					'currentapp'    => 'filemanager',
-					'noheader'      => False,
-					'nonavbar' => False,
+					//'noheader'      => False,
+					//'nonavbar' => False,
 					'nofooter'      => False,
 					'noappheader'   => False,
@@ -245,5 +245,5 @@
 				);
 
-			$GLOBALS['phpgw']->common->phpgw_header();
+			//$GLOBALS['phpgw']->common->phpgw_header();
 			$this->t->set_file(array('models' => 'fileModels.tpl'));
 			$this->t->set_block('models','header','header');
@@ -283,6 +283,6 @@
 				(
 					'currentapp'    => 'filemanager',
-					'noheader'      => False,
-					'nonavbar' => False,
+					//'noheader'      => False,
+					//'nonavbar' => False,
 					'nofooter'      => False,
 					'noappheader'   => False,
@@ -290,5 +290,5 @@
 				);
 
-			$GLOBALS['phpgw']->common->phpgw_header();
+			//$GLOBALS['phpgw']->common->phpgw_header();
 
 			$filename = lang('new')."_".lang($this->model).rand(0,1000).".html";
@@ -316,6 +316,6 @@
 			(
 				'currentapp'	=> 'filemanager',
-				'noheader'	=> False,
-				'nonavbar' => False,
+				//'noheader'	=> False,
+				//'nonavbar' => False,
 				'nofooter'	=> False,
 				'noappheader'	=> False,
@@ -323,14 +323,14 @@
 			);
 
-			$GLOBALS['phpgw']->common->phpgw_header();
-
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/global.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/main.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/draw_api.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/drag_area.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/handler.js'></script>";
-			echo "<script src='./phpgwapi/js/dftree/dftree.js'></script>";
+			//$GLOBALS['phpgw']->common->phpgw_header();
+
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/global.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/main.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/common_functions.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/connector.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/draw_api.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/drag_area.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/filemanager/js/handler.js' )}'></script>";
+			echo "<script src='{$GLOBALS['phpgw'] -> link( '/phpgwapi/js/dftree/dftree.js' )}'></script>";
 
 			include('load_lang.php');
@@ -793,10 +793,10 @@
 				(
 					'currentapp'    => 'filemanager',
-					'noheader'      => True,
-					'nonavbar' => True,
+					//'noheader'      => True,
+					//'nonavbar' => True,
 					'nofooter'      => True,
 					'noappheader'   => True
 				);
-			$GLOBALS['phpgw']->common->phpgw_header();
+			//$GLOBALS['phpgw']->common->phpgw_header();
 
 			$this->t->set_file(array('upload' => 'upload.tpl'));
@@ -915,5 +915,5 @@
 
 
-			$vars[refresh_script] = "<script src='filemanager/js/refresh.js'></script>";
+			$vars[refresh_script] = "<script src='{$GLOBALS[ 'phpgw' ] -> link( '/filemanager/js/refresh.js' )}'></script>";
 
 			$vars[preview_content]='';
Index: trunk/filemanager/js/connector.js
===================================================================
--- trunk/filemanager/js/connector.js	(revision 2019)
+++ trunk/filemanager/js/connector.js	(revision 2483)
@@ -157,4 +157,5 @@
 		method = 'GET';
 	Ajax.open(method, requestURL, true);
+	Ajax.setRequestHeader( 'BackgroundRequest', Date.parse( new Date ) );
 	Ajax.send(null);
 }
Index: trunk/filemanager/index.php
===================================================================
--- trunk/filemanager/index.php	(revision 2362)
+++ trunk/filemanager/index.php	(revision 2483)
@@ -20,6 +20,6 @@
 	$phpgw_flags = Array(
 		'currentapp'    =>      'filemanager',
-		'noheader'      =>      True,
-		'nonavbar'      =>      True,
+		//'noheader'      =>      True,
+		//'nonavbar'      =>      True,
 		'noappheader'   =>      True,
 		'noappfooter'   =>      True,
@@ -33,5 +33,5 @@
 	$_SESSION['phpgw_info']['user']['preferences']['filemanager'] = $preferences['filemanager'];
 
-	Header('Location: '.$GLOBALS['phpgw']->link('/index.php','menuaction=filemanager.uifilemanager.index'));
+	$GLOBALS[ 'phpgw' ] -> redirect( $GLOBALS[ 'phpgw' ] -> link('/index.php','menuaction=filemanager.uifilemanager.index' ) );
 	$GLOBALS['phpgw']->common->phpgw_exit();
 ?>